<?php

class BinAccessibility_Register
{
	private static function options()
	{
		return [
			'bin_accessibility_enable' => '',
			'bin_accessibility_fontsize' => 'enabled',
			'bin_accessibility_default_fontsize' => '16',
			'bin_accessibility_contrast' => 'enabled',
			'bin_accessibility_simplified' => 'enabled',
			'bin_accessibility_print' => 'enabled',
			'bin_accessibility_simplelanguage' => '',
			'bin_accessibility_singlanguage' => '',
			'bin_accessibility_cookie' => __('Info: Your accessibility selections are stored in cookies for better user experience.', 'bin-accessibility')
		];
	}
	
	/**
	 * fires on activate plugin
	 * add initial options to settings page
	 * register schedule events
	 */
	public static function activate()
	{
		foreach(self::options() as $option => $value)
		{
			if(!get_option($option))
			{
				add_option($option, $value);
			}
		}
    }
	
	/**
	 * fires on deactivate plugin
	 * unregister schedule events
	 */
	public static function deactivate()
	{
		//self::uninstall();
	}
	
	/**
	 * fires on activate plugin
	 * delete options
	 */
	public static function uninstall()
	{
		foreach(self::options() as $option => $value)
		{
			delete_option($option);
		}
	}
}