<?php

class BinAccessibility_Settings
{	
	function __construct()
	{
		add_action('admin_menu', [$this, 'admin_menu']);
		add_action('admin_init', [$this, 'section_settings']);
	}
	
	/**
	 * register admin menu
	 */
	function admin_menu()
	{
		add_options_page(__('Bin Accessibility', 'bin-accessibility'), __('Bin Accessibility', 'bin-accessibility'), 'manage_options', 'bin-accessibility', [$this, 'option_setting']);
	}
	
	function option_setting()
	{
		echo '<div class="wrap">';
			self::settings_header();
			echo '<form method="post" action="options.php">';
				settings_fields('bin_accessibility_section_settings');
				
				echo '<h2>'.__('Settings', 'cosmic-blocks').'</h2>';
				echo '<div class="bin_accessibility_settings_grid">';
					echo '<div class="bin_accessibility_settings_grid_left">';
						echo '<div class="bin_accessibility_settings_grid_block">';
						
							echo '<div class="bin_accessibility_settings_grid_block_inner">';
								echo '<h3>'.__('Settings', 'bin-accessibility').'</h3>';
								echo '<div class="bin_accessibility_settings_grid_block_inner_setting">';
									echo '<p>'.__('Enable Accessibility Toolbar', 'bin-accessibility').'</p>';
									echo '<div>';
										echo '<label class="bin_accessibility_switch">';
											echo '<input type="checkbox" name="bin_accessibility_enable" value="enabled" data-bin-accessibility-condition="enabled:bin_accessibility_enabled" '.checked('enabled', get_option('bin_accessibility_enable'), false).'>';
											echo '<span class="slider"></span>';
										echo '</label>';
									echo '</div>';
								echo '</div>';

							echo '</div>';
						echo '</div>';
						
					echo '</div>';
					echo '<div class="bin_accessibility_settings_grid_right ">';
						echo '<div class="bin_accessibility_settings_grid_block bin_accessibility_enabled bin_accessibility_condition_hidden">';

							echo '<div class="bin_accessibility_settings_grid_block_inner">';
								echo '<h3>'.__('Settings', 'bin-accessibility').'</h3>';

								echo '<div class="bin_accessibility_settings_grid_block_inner_setting">';
									echo '<p>'.__('Change Font Size', 'bin-accessibility').'</p>';
									echo '<div>';
										echo '<label class="bin_accessibility_switch">';
											echo '<input type="checkbox" name="bin_accessibility_fontsize" value="enabled" '.checked('enabled', get_option('bin_accessibility_fontsize'), false).'>';
											echo '<span class="slider"></span>';
										echo '</label>';
										echo '<p class="description">'.__('The visitor can increase the page font size.', 'bin-accessibility').'</p>';
									echo '</div>';
								echo '</div>';

								echo '<div class="bin_accessibility_settings_grid_block_inner_setting">';
									echo '<p>'.__('Default Font Size', 'bin-accessibility').'</p>';
									echo '<div>';
										echo '<input type="number" name="bin_accessibility_default_fontsize" class="regular-text" value="'.get_option('bin_accessibility_default_fontsize').'">';
										echo '<p class="description">'.__('Default font size in Pixel. Insert only numbers without measurements. Correct: 16, Wrong: 16px', 'bin-accessibility').'</p>';
									echo '</div>';
								echo '</div>';

								echo '<div class="bin_accessibility_settings_grid_block_inner_setting">';
									echo '<p>'.__('High Contrast Mode', 'bin-accessibility').'</p>';
									echo '<div>';
										echo '<label class="bin_accessibility_switch">';
											echo '<input type="checkbox" name="bin_accessibility_contrast" value="enabled" '.checked('enabled', get_option('bin_accessibility_contrast'), false).'>';
											echo '<span class="slider"></span>';
										echo '</label>';
										echo '<p class="description">'.__('The visitor can switch to a high contast mode.', 'bin-accessibility').'</p>';
									echo '</div>';
								echo '</div>';

								echo '<div class="bin_accessibility_settings_grid_block_inner_setting">';
									echo '<p>'.__('Simple View Mode', 'bin-accessibility').'</p>';
									echo '<div>';
										echo '<label class="bin_accessibility_switch">';
											echo '<input type="checkbox" name="bin_accessibility_simplified" value="enabled" '.checked('enabled', get_option('bin_accessibility_simplified'), false).'>';
											echo '<span class="slider"></span>';
										echo '</label>';
										echo '<p class="description">'.__('The visitor can switch to a simple view of the website.', 'bin-accessibility').'</p>';
									echo '</div>';
								echo '</div>';

								echo '<div class="bin_accessibility_settings_grid_block_inner_setting">';
									echo '<p>'.__('Print View', 'bin-accessibility').'</p>';
									echo '<div>';
										echo '<label class="bin_accessibility_switch">';
											echo '<input type="checkbox" name="bin_accessibility_print" value="enabled" '.checked('enabled', get_option('bin_accessibility_print'), false).'>';
											echo '<span class="slider"></span>';
										echo '</label>';
										echo '<p class="description">'.__('The visitor can easy print out the website.', 'bin-accessibility').'</p>';
									echo '</div>';
								echo '</div>';

								echo '<div class="bin_accessibility_settings_grid_block_inner_setting">';
									echo '<p>'.__('Simple Language', 'bin-accessibility').'</p>';
									echo '<div>';
										echo '<div class="bin_accessibility_media_select">';
											echo '<div class="bin_accessibility_media_field">';
												echo '<input type="url" name="bin_accessibility_simplelanguage" id="bin_accessibility_simplelanguage" class="regular-text" value="'.get_option('bin_accessibility_simplelanguage').'">';
												echo '<a href="#" class="bin_accessibility_empty_field"><span class="dashicons dashicons-dismiss"></span></a>';
											echo '</div>';
											echo '<button type="button" class="button" id="bin_accessibility_simplelanguage_btn" data-media-uploader-target="#bin_accessibility_simplelanguage">'.__('Upload Media', 'bin-accessibility').'</button>';
										echo '</div>';
										echo '<p class="description">'.__('Put a link or choose a document which contains a page summary in simple language.', 'bin-accessibility').'</p>';
									echo '</div>';
								echo '</div>';

								echo '<div class="bin_accessibility_settings_grid_block_inner_setting">';
									echo '<p>'.__('Sign Language', 'bin-accessibility').'</p>';
									echo '<div>';
										echo '<div class="bin_accessibility_media_select">';
											echo '<div class="bin_accessibility_media_field">';
												echo '<input type="url" name="bin_accessibility_signlanguage" id="bin_accessibility_signlanguage" class="regular-text" value="'.get_option('bin_accessibility_signlanguage').'">';
												echo '<a href="#" class="bin_accessibility_empty_field"><span class="dashicons dashicons-dismiss"></span></a>';
											echo '</div>';
											echo '<button type="button" class="button" id="bin_accessibility_signlanguage_btn" data-media-uploader-target="#bin_accessibility_signlanguage">'.__('Upload Media', 'bin-accessibility').'</button>';
										echo '</div>';
										echo '<p class="description">'.__('Put a link or choose a sign language video. Leave empty to disable.', 'bin-accessibility').'</p>';
									echo '</div>';
								echo '</div>';

								echo '<div class="bin_accessibility_settings_grid_block_inner_setting">';
									echo '<p>'.__('Cookie Info', 'bin-accessibility').'</p>';
									echo '<div>';
										echo '<input type="text" name="bin_accessibility_cookie" class="regular-text" value="'.get_option('bin_accessibility_cookie').'">';
												echo '<p class="description">'.__('Add a cookie hint to inform the visitors about that the accessibility toolbar needs cookies to store font size, simple view and contrast settings. The cookies are required for better user experience . Leave empty to disable.', 'bin-accessibility').'</p>';
									echo '</div>';
								echo '</div>';

							echo '</div>';
						
						echo '</div>';
					echo '</div>';
				echo '</div>';

	            submit_button();
			echo '</form>';
		echo '</div>';
	}
	
	/**
	 * Section Settings
	 */
	function section_settings()
	{	
		register_setting('bin_accessibility_section_settings', 'bin_accessibility_enable');
		register_setting('bin_accessibility_section_settings', 'bin_accessibility_fontsize');
		register_setting('bin_accessibility_section_settings', 'bin_accessibility_default_fontsize');
		register_setting('bin_accessibility_section_settings', 'bin_accessibility_contrast');
		register_setting('bin_accessibility_section_settings', 'bin_accessibility_simplified');
		register_setting('bin_accessibility_section_settings', 'bin_accessibility_print');
		register_setting('bin_accessibility_section_settings', 'bin_accessibility_simplelanguage');
		register_setting('bin_accessibility_section_settings', 'bin_accessibility_signlanguage');
		register_setting('bin_accessibility_section_settings', 'bin_accessibility_cookie');
	}
	
	/**
	 * Header for settings page
	 */
	static function settings_header()
	{
		echo '<div class="bin_accessibility_settings_hero">';
			echo '<div class="bin_accessibility_settings_hero_inner">';
				echo '<h1>Bin Accessibility</h1>';
			echo '</div>';
		echo '</div>';
		echo '<div class="bin_accessibility_banner_linklist">';
			echo '<a href="https://wordpress.org/plugins/bin-accessibility/#reviews" target="_blank"><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span> '.__('Rate this plugin', 'bin-accessibility').'</a>';
			echo '<span>|</span>';
			echo '<a href="https://wordpress.org/plugins/bin-accessibility" target="_blank">'.__('WordPress plugin directory', 'bin-accessibility').'</a>';
			echo '<span>|</span>';
			echo '<a href="https://berginformatik.ch" target="_blank">'.__('Visit Berg Informatik', 'bin-accessibility').'</a>';
			echo '<span>|</span>';
			echo '<a href="https://wordpress.org/support/plugin/bin-accessibility" target="_blank">'.__('Support', 'bin-accessibility').'</a>';
		echo '</div>';
	}
}