/**
 * Form element conditional logic
 */
jQuery(document).ready(function($)
{
	dataCondition();
	function dataCondition()
	{
		$('[data-bin-accessibility-condition]').each(function()
		{
			// initial show
			$input = $(this);
			$condition = $input.data('bin-accessibility-condition').split(',');
			$parent = $input.data('bin-accessibility-condition-parent');

			if(typeof $parent === 'undefined' || $('.'+$parent).is(':not(:hidden)'))
			{
				$.each($condition, function(index, value)
				{
					$data = value.split(':');
					
					if($input.is('[type="checkbox"]') && $input.is(':not(:checked)'))
					{
						return;
					}
					
					if($input.val() === $data[0])
					{	
						$('.'+$data[1]).removeClass('bin_accessibility_condition_hidden');
					}
				});
			}
			
			// click function
			$(this).bind({
				change: function()
				{
					$input = $(this);
					$condition = $input.data('bin-accessibility-condition').split(',');
					$parent = $input.data('bin-accessibility-condition-parent');

					// hide all
					$.each($condition, function(index, value)
					{
						$data = value.split(':');
						$('.'+$data[1]).addClass('bin_accessibility_condition_hidden');
					});

					// show clicked
					$.each($condition, function(index, value)
					{						
						$data = value.split(':');

						if($input.is('[type="checkbox"]') && $input.is(':not(:checked)'))
						{
							return;
						}

						if((typeof $parent === 'undefined' || $('.'+$parent).is(':not(:hidden)')) && $input.val() === $data[0])
						{
							$('.'+$data[1]).removeClass('bin_accessibility_condition_hidden');
						}

						$('[data-bin-accessibility-condition-parent="'+$data[1]+'"]').trigger('change');
					});
				}
			});
		});
	}
});

/**
 * Media
 * Load media uploader on pages with our custom metabox
 */
jQuery(document).ready(function()
{
	// Instantiates the variable that holds the media library frame.
	var metaImageFrame;

	jQuery('.bin_accessibility_media_select').on('click', '.bin_accessibility_empty_field', function(e)
	{
		e.preventDefault();
		jQuery(this).parent('div').find('input[type=url]').val('');
	});

	jQuery('.bin_accessibility_media_select').on('click', '[data-media-uploader-target]', function(e)
	{
		e.preventDefault();
		
		// return value field
		var field = jQuery(this).data('media-uploader-target');
		
		// Sets up the media library frame
		metaImageFrame = wp.media.frames.metaImageFrame = wp.media({
			title: 'Title',
			button: { text: 'Use this file' },
		});

		// Runs when an image is selected.
		metaImageFrame.on('select', function()
		{
			// Grabs the attachment selection and creates a JSON representation of the model.
			var media_attachment = metaImageFrame.state().get('selection').first().toJSON();

			// Sends the attachment URL to our custom image input field.
			jQuery(field).val(media_attachment.url);
		});

		// Opens the media library frame.
		metaImageFrame.open();
	});
});