/**
 * Accessibility Toolbar
 */
jQuery(document).ready(function()
{
	// initial set fontsize
	if(typeof Cookies.get('fontsize') !== 'undefined')
	{
		jQuery('.accessibility-fontsize-value').html(Cookies.get('fontsize'));
		jQuery('html').css('fontSize', Cookies.get('fontsize'));
	}
	else
	{
		jQuery('.accessibility-fontsize-value').html(jQuery('html').css('fontSize'));
	}

	// initial set contrast
	if(typeof Cookies.get('contrast') !== 'undefined')
	{
		jQuery('.accessibility-contrast-on').show();
		jQuery('html').addClass('contrast');
	}
	else
	{
		jQuery('.accessibility-contrast-off').show();
	}
	
	// initial set simplified
	if(typeof Cookies.get('simplified') !== 'undefined')
	{
		jQuery('.accessibility-simplified-on').show();
		jQuery('html').addClass('simplified');
	}
	else
	{
		jQuery('.accessibility-simplified-off').show();
	}
	
	// hide accessibility toolbar on click outside the toolbar
	jQuery('#accessibility-toolbar-backdrop').click(function()
	{
		jQuery('#accessibility-toolbar').removeClass('show-accessibility-toolbar');
		jQuery('#accessibility-toolbar-backdrop').removeClass('show-accessibility-toolbar');
	});
	
	jQuery('#accessibility-toolbar').click(function(e)
	{
		e.stopPropagation();
	});
	
	// show the toolbar
	jQuery('.js-show-accessibility').click(function(e)
	{
		e.preventDefault();
		jQuery('#accessibility-toolbar').toggleClass('show-accessibility-toolbar');
		jQuery('#accessibility-toolbar-backdrop').toggleClass('show-accessibility-toolbar');
	});
	
	// toggle contrast
	jQuery('.js-accessibility-contrast').click(function(e)
	{
		e.preventDefault();
		if(jQuery('html').hasClass('contrast'))
		{
			jQuery('html').removeClass('contrast');
			jQuery('.accessibility-contrast-on').hide();
			jQuery('.accessibility-contrast-off').show();
			Cookies.remove('contrast', { path: '/' });
		}
		else
		{
			jQuery('html').addClass('contrast');
			jQuery('.accessibility-contrast-on').show();
			jQuery('.accessibility-contrast-off').hide();
			Cookies.set('contrast', true, { expires: 7, path:'/' });
		}
	});

	// toggle simplified
	jQuery('.js-accessibility-simplified').click(function(e)
	{
		e.preventDefault();
		if(jQuery('html').hasClass('simplified'))
		{
			jQuery('html').removeClass('simplified');
			jQuery('.accessibility-simplified-on').hide();
			jQuery('.accessibility-simplified-off').show();
			Cookies.remove('simplified', { path: '/' });
		}
		else
		{
			jQuery('html').addClass('simplified');
			jQuery('.accessibility-simplified-on').show();
			jQuery('.accessibility-simplified-off').hide();
			Cookies.set('simplified', true, { expires: 7, path:'/' });
		}
	});

	// font minus
	jQuery('.js-accessibility-font-minus').click(function(e)
	{
		e.preventDefault();
		jQuery('.accessibility-toolbar-info').html('');

		$actualSize = parseInt(jQuery('html').css('fontSize'));
		if($actualSize > parseInt(local.default)) { $newSize = ($actualSize-2)+'px'; }
		else { jQuery('.accessibility-toolbar-info').html(local.min); }

		jQuery('html').css('fontSize', $newSize);
		jQuery('.accessibility-fontsize-value').html($newSize);
		Cookies.set('fontsize', $newSize, { expires: 7, path:'/' });
	});

	// font plus
	jQuery('.js-accessibility-font-plus').click(function(e)
	{
		e.preventDefault();
		jQuery('.accessibility-toolbar-info').html('');

		$actualSize = parseInt(jQuery('html').css('fontSize'));
		$maxSize = parseInt(local.default) + (2*10);
		if($actualSize < $maxSize) { $newSize = ($actualSize+2)+'px'; }
		else { jQuery('.accessibility-toolbar-info').html(local.max); }

		jQuery('html').css('fontSize', $newSize);
		jQuery('.accessibility-fontsize-value').html($newSize);
		Cookies.set('fontsize', $newSize, { expires: 7, path:'/' });
	});
	
	// reset the font-size to default value
	jQuery('.js-accessibility-fontsize').click(function(e)
	{
		e.preventDefault();

		$newSize = local.default+'px';

		jQuery('html').css('fontSize', $newSize);
		jQuery('.accessibility-fontsize-value').html($newSize);
		Cookies.set('fontsize', $newSize, { expires: 7, path:'/' });
	});
});